Macaulay2 » Documentation
Packages » SRdeformations :: net(Complex)
next | previous | forward | backward | up | index | toc

# net(Complex) -- Printing complexes.

- Function: net
- Usage:
    `net(C)`
- Inputs:
  - C, an embedded complex,
- Outputs:
  - a net,

## Description

Printing complexes. It prints the facets of the complex C sorted by dimension.

    i1 : R=QQ[x_0..x_4]

    o1 = R

    o1 : PolynomialRing

    i2 : I=ideal(x_0*x_1,x_1*x_2,x_2*x_3,x_3*x_4,x_4*x_0)

    o2 = ideal (x x , x x , x x , x x , x x )
                 0 1   1 2   2 3   3 4   0 4

    o2 : Ideal of R

    i3 : C=idealToComplex I;

    i4 : net C

    o4 = 1: x x  x x  x x  x x  x x
             0 2  0 3  1 3  1 4  2 4

## See also

- net -- format for printing, as a net

## Ways to use this method:

- net(Complex) -- Printing complexes.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/SRdeformations.m2:7307:0.